curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/agents \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/agents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/agents");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/agents")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agents": [
{
"id": "9030551F327704A0F262995A1A4B4596",
"displayName": "Malcolm Young",
"status": "INVISIBLE",
"availability": "AWAY",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "97457D13B1FC79AF3C1A1096AE7E77AB",
"displayName": "Angus Young",
"status": "ACTIVE",
"availability": "BUSY",
"role": "SUPERVISOR",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "E83E787CF2613450157ADA3476171E3F",
"displayName": "Bon Scott",
"status": "INVISIBLE",
"availability": "BUSY",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "F66D67327326FCCB027BEAA916B94542",
"displayName": "Phil Rudd",
"status": "ACTIVE",
"availability": "ACTIVE",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "F66D67327326FCCB027BEAA916B94542",
"displayName": "Brian Johnson",
"status": "ACTIVE",
"availability": "BUSY",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "7E77AB97457D13B1FC79AF3C1A1096AE7E77AB",
"displayName": "Neil Young",
"status": "ACTIVE",
"availability": "ACTIVE",
"role": "AGENT",
"enabled": false,
"createdAt": "2019-03-10T07:45:44.744+0000",
"updatedAt": "2019-03-10T09:33:58.374+0000"
}
],
"pagination": {
"totalItems": 6,
"page": 0,
"limit": 10,
"orderBy": "id:ASC"
}
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Page size has to be bigger or equal to zero!"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get agents
Use this method to get a list of agents with pagination and filtering options. Using a filter is optional. The result can be filtered by one or many optional filters described in parameters. More info
Required scope: Enable one of: conversations:manage, conversations:read.
curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/agents \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/agents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/agents");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/agents")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agents": [
{
"id": "9030551F327704A0F262995A1A4B4596",
"displayName": "Malcolm Young",
"status": "INVISIBLE",
"availability": "AWAY",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "97457D13B1FC79AF3C1A1096AE7E77AB",
"displayName": "Angus Young",
"status": "ACTIVE",
"availability": "BUSY",
"role": "SUPERVISOR",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "E83E787CF2613450157ADA3476171E3F",
"displayName": "Bon Scott",
"status": "INVISIBLE",
"availability": "BUSY",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "F66D67327326FCCB027BEAA916B94542",
"displayName": "Phil Rudd",
"status": "ACTIVE",
"availability": "ACTIVE",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "F66D67327326FCCB027BEAA916B94542",
"displayName": "Brian Johnson",
"status": "ACTIVE",
"availability": "BUSY",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T07:45:23.777+0000",
"updatedAt": "2019-05-10T09:53:58.463+0000"
},
{
"id": "7E77AB97457D13B1FC79AF3C1A1096AE7E77AB",
"displayName": "Neil Young",
"status": "ACTIVE",
"availability": "ACTIVE",
"role": "AGENT",
"enabled": false,
"createdAt": "2019-03-10T07:45:44.744+0000",
"updatedAt": "2019-03-10T09:33:58.374+0000"
}
],
"pagination": {
"totalItems": 6,
"page": 0,
"limit": 10,
"orderBy": "id:ASC"
}
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Page size has to be bigger or equal to zero!"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Optional filter. List of agents Id to match result.
Optional filter. List of queues Id to match result.
Optional. Agent display name. This is case insensitive and will search for substring anywhere within string, 255 characters max.
Optional. Agent email.
Optional. Indicates a status set by the agent reflecting their availability preferences.
ACTIVE, BUSY, INVISIBLE, AWAY Optional. Indicates the agent status set by the system reflecting the actual availability.
ACTIVE, BUSY, INVISIBLE, AWAY Optional. Agent role.
AGENT, SUPERVISOR Optional. Agent enable/disable toggle.
Optional. Filter results created after specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ
Optional. Filter results created before specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ
Optional. Filter results updated after specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ
Optional. Filter results updated before specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ
Size of the result page.
x <= 999Number of the current page.
This parameter is used to order your results. If an order is not given, the default order id:asc will be applied. Possible ordering fields are properties. Ordering direction can be specified with modifiers asc for the ascending ordering or desc for the descending one.